export class BadTxHashError extends Error{
    constructor(hash:string){
        super(`Bad tx hash format: "${hash}"`)
    }
}

export class CannotVerifyOwnerError extends Error{
    constructor(hash: string, actualAccount: string, desiredAccount: string){
        super((`Expected tx "${hash}" to be initiated by ${desiredAccount} but was ${actualAccount}`))
    }
}